apiVersion: hive.openshift.io/v1
kind: ClusterDeployment
metadata:
  annotations:
    argocd.argoproj.io/sync-wave: '1'
    argocd.argoproj.io/tracking-id: >-
      cluster-provisioner:hive.openshift.io/ClusterDeployment:etsl-oc-005-sbx/etsl-oc-005-sbx
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"hive.openshift.io/v1","kind":"ClusterDeployment","metadata":{"annotations":{"argocd.argoproj.io/sync-wave":"1","argocd.argoproj.io/tracking-id":"cluster-provisioner:hive.openshift.io/ClusterDeployment:etsl-oc-005-sbx/etsl-oc-005-sbx","ran.openshift.io/ztp-gitops-generated":"{}"},"name":"etsl-oc-005-sbx","namespace":"etsl-oc-005-sbx"},"spec":{"baseDomain":"lab.ent.corp","clusterInstallRef":{"group":"extensions.hive.openshift.io","kind":"AgentClusterInstall","name":"etsl-oc-005-sbx","version":"v1beta1"},"clusterName":"etsl-oc-005-sbx","platform":{"agentBareMetal":{"agentSelector":{"matchLabels":{"cluster-name":"etsl-oc-005-sbx"}}}},"pullSecretRef":{"name":"pull-secret-lab"}}}
    open-cluster-management.io/user-group: >-
      c3lzdGVtOnNlcnZpY2VhY2NvdW50cyxzeXN0ZW06c2VydmljZWFjY291bnRzOm9wZW4tY2x1c3Rlci1tYW5hZ2VtZW50LWJhY2t1cCxzeXN0ZW06YXV0aGVudGljYXRlZA==
    open-cluster-management.io/user-identity: >-
      c3lzdGVtOnNlcnZpY2VhY2NvdW50Om9wZW4tY2x1c3Rlci1tYW5hZ2VtZW50LWJhY2t1cDp2ZWxlcm8=
    ran.openshift.io/ztp-gitops-generated: '{}'
  resourceVersion: '1956913'
  name: etsl-oc-005-sbx
  uid: 8ce58bf7-0964-4914-bde7-43f817c0a97c
  creationTimestamp: '2023-08-21T16:57:54Z'
  generation: 1
  managedFields:
    - apiVersion: hive.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:argocd.argoproj.io/sync-wave': {}
            'f:argocd.argoproj.io/tracking-id': {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
            'f:open-cluster-management.io/user-group': {}
            'f:open-cluster-management.io/user-identity': {}
            'f:ran.openshift.io/ztp-gitops-generated': {}
          'f:labels':
            .: {}
            'f:cluster.open-cluster-management.io/clusterset': {}
            'f:hive.openshift.io/cluster-platform': {}
            'f:hive.openshift.io/version-major': {}
            'f:hive.openshift.io/version-major-minor': {}
            'f:hive.openshift.io/version-major-minor-patch': {}
            'f:velero.io/backup-name': {}
            'f:velero.io/restore-name': {}
        'f:spec':
          'f:installed': {}
          'f:platform':
            .: {}
            'f:agentBareMetal':
              .: {}
              'f:agentSelector': {}
          'f:baseDomain': {}
          'f:pullSecretRef': {}
          .: {}
          'f:clusterName': {}
          'f:clusterMetadata':
            .: {}
            'f:adminKubeconfigSecretRef': {}
            'f:adminPasswordSecretRef': {}
            'f:clusterID': {}
            'f:infraID': {}
          'f:controlPlaneConfig':
            .: {}
            'f:servingCertificates': {}
          'f:clusterInstallRef':
            .: {}
            'f:group': {}
            'f:kind': {}
            'f:name': {}
            'f:version': {}
      manager: velero-server
      operation: Update
      time: '2023-08-21T16:57:54Z'
    - apiVersion: hive.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"hive.openshift.io/deprovision"': {}
      manager: manager
      operation: Update
      time: '2023-08-21T16:57:55Z'
    - apiVersion: hive.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            'v:"clusterdeployments.agent-install.openshift.io/ai-deprovision"': {}
      manager: assisted-service
      operation: Update
      time: '2023-08-21T16:58:54Z'
    - apiVersion: hive.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:apiURL': {}
          'f:conditions': {}
          'f:installedTimestamp': {}
          'f:powerState': {}
          'f:webConsoleURL': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2023-08-22T12:58:36Z'
  namespace: etsl-oc-005-sbx
  finalizers:
    - hive.openshift.io/deprovision
    - clusterdeployments.agent-install.openshift.io/ai-deprovision
  labels:
    cluster.open-cluster-management.io/clusterset: amfam-clusters
    hive.openshift.io/cluster-platform: agent-baremetal
    hive.openshift.io/version-major: '4'
    hive.openshift.io/version-major-minor: '4.12'
    hive.openshift.io/version-major-minor-patch: 4.12.26
    velero.io/backup-name: acm-managed-clusters-schedule-20230821140030
    velero.io/restore-name: onetime-restore-full-acm-managed-clusters-schedule-202308d96aa8
spec:
  baseDomain: lab.ent.corp
  clusterInstallRef:
    group: extensions.hive.openshift.io
    kind: AgentClusterInstall
    name: etsl-oc-005-sbx
    version: v1beta1
  clusterMetadata:
    adminKubeconfigSecretRef:
      name: etsl-oc-005-sbx-admin-kubeconfig
    adminPasswordSecretRef:
      name: etsl-oc-005-sbx-admin-password
    clusterID: c664af68-d54e-4439-a34b-4b331a16410e
    infraID: 69f4c5cf-2903-48a6-b7d2-1baec1a68714
  clusterName: etsl-oc-005-sbx
  controlPlaneConfig:
    servingCertificates: {}
  installed: true
  platform:
    agentBareMetal:
      agentSelector:
        matchLabels:
          cluster-name: etsl-oc-005-sbx
  pullSecretRef:
    name: pull-secret-lab
status:
  apiURL: 'https://api.etsl-oc-005-sbx.lab.ent.corp:6443'
  conditions:
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: 'Unsupported platform: no actuator to handle it'
      reason: Unsupported
      status: 'False'
      type: Hibernating
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Control plane certificates are present
      reason: ControlPlaneCertificatesFound
      status: 'False'
      type: ControlPlaneCertificateNotFound
    - lastProbeTime: '2023-08-21T16:57:55Z'
      lastTransitionTime: '2023-08-21T16:57:55Z'
      message: Cluster is provisioned
      reason: Provisioned
      status: 'True'
      type: Provisioned
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: No power state actuator -- assuming running
      reason: Running
      status: 'True'
      type: Ready
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: no ClusterRelocates match
      reason: NoMatchingRelocates
      status: 'False'
      type: RelocationFailed
    - lastProbeTime: '2023-08-21T16:58:36Z'
      lastTransitionTime: '2023-08-21T16:58:36Z'
      message: SyncSet apply is successful
      reason: SyncSetApplySuccess
      status: 'False'
      type: SyncSetFailed
    - lastProbeTime: '2023-08-22T12:58:36Z'
      lastTransitionTime: '2023-08-21T16:58:36Z'
      message: cluster is reachable
      reason: ClusterReachable
      status: 'False'
      type: Unreachable
    - lastProbeTime: '2023-08-21T16:57:55Z'
      lastTransitionTime: '2023-08-21T16:57:55Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: AWSPrivateLinkFailed
    - lastProbeTime: '2023-08-21T16:57:55Z'
      lastTransitionTime: '2023-08-21T16:57:55Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: AWSPrivateLinkReady
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: ActiveAPIURLOverride
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: AuthenticationFailure
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: ClusterInstallCompleted
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: ClusterInstallFailed
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: ClusterInstallRequirementsMet
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: ClusterInstallStopped
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: DNSNotReady
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: DeprovisionLaunchError
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: IngressCertificateNotFound
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: InstallImagesNotResolved
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: InstallLaunchError
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: InstallerImageResolutionFailed
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: ProvisionFailed
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: ProvisionStopped
    - lastProbeTime: '2023-08-21T16:57:54Z'
      lastTransitionTime: '2023-08-21T16:57:54Z'
      message: Condition Initialized
      reason: Initialized
      status: Unknown
      type: RequirementsMet
  installedTimestamp: '2023-08-21T16:57:54Z'
  powerState: Running
  webConsoleURL: 'https://console-openshift-console.apps.etsl-oc-005-sbx.lab.ent.corp'
